Advanced Search filter to exlude Distributions with status absent

07/01/2016 11:14 AM - Andreas Kohlbecker

Status: New Start date:  

Priority: New Due date:  

Assignee: Andreas Kohlbecker % Done: 0%

Category: cdm-dataportal Estimated time: 0.00 hour

Target version: Unassigned CDM tickets   

Severity: normal   

Description

A filter option should be added to the Advanced Search exclude Distributions with status absent. This should be part of the 

Distributionarea filter.

This task includes the extension of the according service method by this filter option

History

#1 - 05/12/2020 01:14 PM - Andreas Kohlbecker

- Description updated

- Private changed from Yes to No

#2 - 05/12/2020 01:16 PM - Andreas Kohlbecker

Hallo,

man sollte im Euro+Med-Portal bei der advanced search unbedingt auch nach Status suchen/filtern können. Es ist ein sinnvolles feature, die Suche

beispielsweise auf native, naturalised oder casual begrenzen zu können.

Viele Grüße,

Eckhard

#3 - 05/12/2020 01:21 PM - Andreas Kohlbecker

- Tags changed from search to search, euro+med

The original requirement as still reflected by the subject of this ticket is a special case of a general filter for distribution status.

The filter should allow choosing any distribution status which is being used in the portal.

When no status term is selected the filter is not applied.

To exclude Distributions with status absent all other status in use should be included into the filter.

The admin section should also to provide a default setting for this filter.

#4 - 05/12/2020 01:22 PM - Andreas Kohlbecker

Andreas Kohlbecker wrote:

12/08/2021 1/2



The original requirement as still reflected by the subject of this ticket is a special case of a general filter for distribution status.

The filter should allow choosing any distribution status which is being used in the portal.

When no status term is selected the filter is not applied.

To exlude Distributions with status absent all other status in use should be included into the filter.

The admin section should also to provide a default setting for this filter.

 

I suggest changing the ticket subject and description accordingly if no one vetoes. 

#5 - 05/12/2020 03:18 PM - Andreas Müller

I agree (as long as there is a one button click to include all non-absent status because otherwise the list of status you have to click on might be very

long)

#6 - 05/12/2020 03:19 PM - Andreas Müller

As this is an important feature for E+M (and other treatments) I suggest to move this ticket to 5.16
